Galon Cloud
Galon API v1

/storage/usage/history

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /storage/usage/history

Get Storage usage history

Exact scope storage:read. Hidden surface: 404 not_found until Galon Storage is open to the account.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
daysqueryintegernumber of days (30 by default)

Responses

StatusDescriptionBody
200Daily points: bytes stored, added, removed, uploadsobject
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/storage/usage/history" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.storage.usageHistory();

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.storage.usage_history()